package net.krakatoa.lobbysystem.object;

import com.google.common.collect.Lists;
import java.util.List;
import lombok.AllArgsConstructor;
import lombok.Getter;
import lombok.Setter;

@AllArgsConstructor
public class KraPlayer {

  @Getter
  @Setter
  public static List<KraPlayer> kraPlayers = Lists.newArrayList();

  @Getter
  private String uuid;
  
  public static KraPlayer getKraPlayer(String uuid) {
    for (KraPlayer kraPlayer : kraPlayers) {
      if (kraPlayer.getUuid().equals(uuid)) {
        return kraPlayer;
      }
    }
    return null;
  }
}
